# authftp

~~~
authftp: Se connecter sur un site FTP authentifié
Ce script nécessite ncftp. Il est conçu pour faciliter l'accès à des sites FTP
s'il est requis d'y accéder par un proxy FTP pour les connexion authentifiées.

USAGE
    authftp [options] host login password [path]

OPTIONS
    -p, --proxy
    -n, --noproxy
        Forcer l'utilisation, resp. ne pas utiliser, le proxy FTP (i.e. faire la
        connexion directement)
    -l, --lftp
        Se connecter avec lftp au lieu de ncftp. Le fonctionnement n'est pas
        garanti si l'on utilise un proxy FTP.
    -o OPTION
        Ajouter une option à la commande lancée. Si l'option prend un argument,
        il faut doubler l'option -o, e.g.
            authftp -l -o -e -o 'mirror remote local' host login pass
        Dans cet exemple, l'option -e de lftp est utilisée pour faire un miroir
        local du répertoire remote.
    --tls
        Indiquer que la connexion se fera en TLS. Implique --lftp puisque ncftp
        ne le supporte pas.

note: A cause d'une limitation de lftp, ce n'est pas possible de se connecter
automatiquement avec lftp si le mot de passe contient une virgule. A cause de la
façon dont le proxy ftp est configuré, il n'est pas possible de se connecter
avec un mot de passe qui contient le caractère @
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary